From daf156eba7f17ee361dae2d30948091aacb7f8b8 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 15 2016 08:41:04 +0000
Subject: [PATCH 399/1001] Be a little more careful on how we update the widget configuration


---

diff --git a/hubs/app.py b/hubs/app.py
index 75c53ed..8fa873e 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -186,6 +186,8 @@ def widget_edit_post(hub, idx):
             flask.flash('Invalid data provided, error: %s' % err, 'error')
             error = True
     if not error:
+        cur_config = widget.config
+        cur_config.update(config)
         widget.config = config
         widget.hub.last_edited = datetime.datetime.utcnow()
         session.add(widget)

